[pve-devel] r5204 - in pve-kernel-2.6.35/trunk: . firmware-misc

svn-commits at proxmox.com svn-commits at proxmox.com
Mon Oct 4 15:41:27 CEST 2010


Author: dietmar
Date: 2010-10-04 13:41:27 +0000 (Mon, 04 Oct 2010)
New Revision: 5204

Added:
   pve-kernel-2.6.35/trunk/README
   pve-kernel-2.6.35/trunk/control.in
   pve-kernel-2.6.35/trunk/find-firmware.pl
   pve-kernel-2.6.35/trunk/firmware-misc/
   pve-kernel-2.6.35/trunk/firmware-misc/aic94xx-seq.fw
   pve-kernel-2.6.35/trunk/headers-control.in
   pve-kernel-2.6.35/trunk/headers-postinst.in
   pve-kernel-2.6.35/trunk/postinst.in
   pve-kernel-2.6.35/trunk/proxmox_splash.dat
Modified:
   pve-kernel-2.6.35/trunk/Makefile
Log:


Modified: pve-kernel-2.6.35/trunk/Makefile
===================================================================
--- pve-kernel-2.6.35/trunk/Makefile	2010-10-04 13:14:24 UTC (rev 5203)
+++ pve-kernel-2.6.35/trunk/Makefile	2010-10-04 13:41:27 UTC (rev 5204)
@@ -114,6 +114,12 @@
 	cd ${KERNEL_SRC}.org; git checkout -b local ${UBUNTU_BRANCH}	
 	touch $@
 
+linux-firmware.git/WHENCE:
+	git clone git://git.kernel.org/pub/scm/linux/kernel/git/dwmw2/linux-firmware.git linux-firmware.git
+
+linux-firmware-from-kernel.git/WHENCE:
+	git clone git://git.kernel.org/pub/scm/linux/kernel/git/dwmw2/linux-firmware-from-kernel.git linux-firmware-from-kernel.git
+
 aoe.ko aoe: .compile_mark ${AOESRC}
 	# aoe driver updates
 	rm -rf ${AOEDIR} aoe.ko
@@ -160,6 +166,8 @@
 	tar cpf $@ -C busybox .
 
 INITRD_SOURCES = 				\
+	linux-firmware.git/WHENCE 		\
+	linux-firmware-from-kernel.git/WHENCE	\
 	init 					\
 	ejectcd.sh 				\
 	busybox.tar				\

Added: pve-kernel-2.6.35/trunk/README
===================================================================
--- pve-kernel-2.6.35/trunk/README	                        (rev 0)
+++ pve-kernel-2.6.35/trunk/README	2010-10-04 13:41:27 UTC (rev 5204)
@@ -0,0 +1,58 @@
+KERNEL SOURCE:
+==============
+
+git://kernel.ubuntu.com/ubuntu/ubuntu-maverick.git
+
+
+Additional/Updated Modules:
+---------------------------
+
+- we use bootsplash to display the boot logo.
+
+- include latest AoE driver (http://support.coraid.com/support/linux)
+
+- include latest SCST modules
+
+PATCHES:
+--------
+
+ bootsplash-2.6.35.diff: bootsplash patch
+
+ bridge-patch.diff: Avoid bridge problems with changing MAC
+  see also: http://forum.openvz.org/index.php?t=msg&th=5291
+
+  Behaviour after 2.6.27 has changed slighly - after setting mac address
+  of bridge device, then address won't change. So we could omit
+  that patch, requiring to set hwaddress in /etc/network/interfaces.
+
+
+Additional information
+----------------------
+
+We use defaults from ubuntu kernel (amd64, ubuntu server flaviour):
+
+see config-2.6.35.diff
+
+- use cfq as default scheduler
+	CONFIG_DEFAULT_CFQ=y
+
+- CONFIG_PREEMPT_VOLUNTARY=y
+
+- enable bootsplash 
+	CONFIG_FB_VESA=y 
+	CONFIG_FRAMEBUFFER_CONSOLE=Y 
+	CONFIG_BOOTSPLASH=y
+
+- disable CONFIG_DEBUG_INFO
+
+- disable CONFIG_PRINTK_TIME
+
+- disable CONFIG_DRM*
+
+- set CONFIG_NLS_DEFAULT="iso8859-1"
+
+Testing final kernel with kvm
+-----------------------------
+
+kvm -kernel data/boot/vmlinuz-2.6.32-1-pve -initrd initrd.img-2.6.32-1-pve -append "vga=791 video=vesafb:ywrap,mtrr splash=silent" /dev/zero
+

Added: pve-kernel-2.6.35/trunk/control.in
===================================================================
--- pve-kernel-2.6.35/trunk/control.in	                        (rev 0)
+++ pve-kernel-2.6.35/trunk/control.in	2010-10-04 13:41:27 UTC (rev 5204)
@@ -0,0 +1,11 @@
+Package: pve-kernel- at KVNAME@
+Version: @KERNEL_VER at -@PKGREL@
+Section: admin
+Priority: optional
+Architecture: amd64
+Provides: linux-image, linux-image-2.6
+Suggests: pve-firmware
+Depends: grub, initramfs-tools, busybox
+Maintainer: Proxmox Support Team <support at proxmox.com>
+Description: The Proxmox PVE Kernel Image
+ This package contains the linux kernel and initial ramdisk used for booting

Added: pve-kernel-2.6.35/trunk/find-firmware.pl
===================================================================
--- pve-kernel-2.6.35/trunk/find-firmware.pl	                        (rev 0)
+++ pve-kernel-2.6.35/trunk/find-firmware.pl	2010-10-04 13:41:27 UTC (rev 5204)
@@ -0,0 +1,32 @@
+#!/usr/bin/perl -w
+
+use strict;
+
+my $dir = shift;
+
+die "no directory to scan" if !$dir;
+
+die "no such directory" if ! -d $dir;
+
+die "strange directory name" if $dir !~ m|^(.*/)?(2.6.\d+\-\d+\-pve)(/+)?$|;
+
+my $apiver = $2;
+
+open(TMP, "find '$dir' -name '*.ko'|");
+while (defined(my $fn = <TMP>)) {
+    chomp $fn;
+    my $relfn = $fn;
+    $relfn =~ s|^$dir/*||;
+
+    my $cmd = "modinfo -F firmware '$fn'";
+    open(MOD, "$cmd|");
+    while (defined(my $fw = <MOD>)) {
+	chomp $fw;
+	print "$fw $relfn\n";
+    }
+    close(MOD);
+
+}
+close TMP;
+
+exit 0;


Property changes on: pve-kernel-2.6.35/trunk/find-firmware.pl
___________________________________________________________________
Added: svn:executable
   + *

Added: pve-kernel-2.6.35/trunk/firmware-misc/aic94xx-seq.fw
===================================================================
(Binary files differ)


Property changes on: pve-kernel-2.6.35/trunk/firmware-misc/aic94xx-seq.fw
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Added: pve-kernel-2.6.35/trunk/headers-control.in
===================================================================
--- pve-kernel-2.6.35/trunk/headers-control.in	                        (rev 0)
+++ pve-kernel-2.6.35/trunk/headers-control.in	2010-10-04 13:41:27 UTC (rev 5204)
@@ -0,0 +1,10 @@
+Package: pve-headers- at KVNAME@
+Version: @KERNEL_VER at -@PKGREL@
+Section: devel
+Priority: optional
+Architecture: amd64
+Provides: linux-headers, linux-headers-2.6
+Depends: coreutils | fileutils (>= 4.0), pve-kernel- at KVNAME@
+Maintainer: Proxmox Support Team <support at proxmox.com>
+Description: The Proxmox PVE Kernel Headers
+ This package contains the linux kernel headers

Added: pve-kernel-2.6.35/trunk/headers-postinst.in
===================================================================
--- pve-kernel-2.6.35/trunk/headers-postinst.in	                        (rev 0)
+++ pve-kernel-2.6.35/trunk/headers-postinst.in	2010-10-04 13:41:27 UTC (rev 5204)
@@ -0,0 +1,62 @@
+#! /bin/sh
+
+# Abort if any command returns an error value 
+set -e 
+
+case "$1" in
+  configure)
+
+    ln -sf /usr/src/linux-headers-@@KVNAME@@ /lib/modules/@@KVNAME@@/build
+
+    # There are three sub-cases:
+    if test "${2+set}" != set; then
+      # We're being installed by an ancient dpkg which doesn't remember
+      # which version was most recently configured, or even whether
+      # there is a most recently configured version.
+      :
+
+    elif test -z "$2" -o "$2" = "<unknown>"; then
+      # The package has not ever been configured on this system, or was
+      # purged since it was last configured.
+      :
+
+    else
+      # Version $2 is the most recently configured version of this
+      # package.
+      :
+
+    fi ;;
+  abort-upgrade)
+    # Back out of an attempt to upgrade this package FROM THIS VERSION
+    # to version $2.  Undo the effects of "prerm upgrade $2".
+    :
+
+    ;;
+  abort-remove)
+    if test "$2" != in-favour; then
+      echo "$0: undocumented call to \`postinst $*'" 1>&2
+      exit 0
+    fi
+    # Back out of an attempt to remove this package, which was due to
+    # a conflict with package $3 (version $4).  Undo the effects of
+    # "prerm remove in-favour $3 $4".
+    :
+
+    ;;
+  abort-deconfigure)
+    if test "$2" != in-favour -o "$5" != removing; then
+      echo "$0: undocumented call to \`postinst $*'" 1>&2
+      exit 0
+    fi
+    # Back out of an attempt to deconfigure this package, which was
+    # due to package $6 (version $7) which we depend on being removed
+    # to make way for package $3 (version $4).  Undo the effects of
+    # "prerm deconfigure in-favour $3 $4 removing $6 $7".
+    :
+
+    ;;
+  *) echo "$0: didn't understand being called with \`$1'" 1>&2
+     exit 0;;
+esac
+
+exit 0

Added: pve-kernel-2.6.35/trunk/postinst.in
===================================================================
--- pve-kernel-2.6.35/trunk/postinst.in	                        (rev 0)
+++ pve-kernel-2.6.35/trunk/postinst.in	2010-10-04 13:41:27 UTC (rev 5204)
@@ -0,0 +1,25 @@
+#!/usr/bin/perl -w
+
+use strict;
+
+# Ignore all invocations except when called on to configure.
+exit 0 unless $ARGV[0] =~ /configure/;
+
+# do nothing if run from proxmox installer
+exit 0 if -e "/proxmox_install_mode";
+
+my $imagedir = "/boot";
+
+my $version = "@@KVNAME@@";
+
+system("depmod $version");
+
+system("update-initramfs -c -t -b $imagedir -k $version"); 
+
+if (-x "/usr/sbin/grub") {
+    system("update-grub -y");
+} elsif (-e "/etc/lilo.conf") {
+    system("lilo");
+}
+
+exit 0


Property changes on: pve-kernel-2.6.35/trunk/postinst.in
___________________________________________________________________
Added: svn:executable
   + *

Added: pve-kernel-2.6.35/trunk/proxmox_splash.dat
===================================================================
(Binary files differ)


Property changes on: pve-kernel-2.6.35/trunk/proxmox_splash.dat
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream




More information about the pve-devel mailing list